System.Web 2.0.0.0 System.Collections.ReadOnlyCollectionBase

Communication between a provider and consumer requires a contract defined in an interface. This collection contains all the communication interfaces supported by the consumer. The method returns a object.

Represents a collection of interfaces for use in Web Parts connections.

- Constructor
  To be added.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class with the specified collection.

  A collection of objects to convert into a .
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class by combining the two specified collections.

  A to combine with the object.
  A collection to combine with the object.
  2.0.0.0
- Method
  System.Boolean `` To be added. To be added.

  Determines whether the object contains a specific value.

  true if is found in the ; otherwise, false.

  2.0.0.0
- Method
  System.Void `` `` To be added.

  Copies the entire object to a compatible one-dimensional , starting at the specified index of the target array.

  The one-dimensional that is the destination of the elements copied from . The must have zero-based indexing. The zero-based index in at which copying begins. 2.0.0.0
- Field
  System.Web.UI.WebControls.WebParts.ConnectionInterfaceCollection To be added.

  References a static, read-only instance of the class.

  2.0.0.0
- Method
  System.Int32 `` To be added. To be added.

  Searches for the specified object and returns the zero-based index of the first occurrence within the entire collection.

  The zero-based index of the first occurrence of within the entire , if found; otherwise, -1.

  2.0.0.0
- Property
  System.Type `` To be added. To be added. To be added. To be added. 2.0.0.0